<!DOCTYPE html>
<html lang="es" xmlns:th="https://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Skydash Admin</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../vendors/feather/feather.css">
  <link rel="stylesheet" href="../../vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="../../vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../images/logoSanBorja.png" />
  
   <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
</head>

<body>
  <div class="container-scroller">
<!-- Fragmento nav -->
    <layouttag th:include="fragments/common :: nav-fragment" />

    <!-- partial -->
    <div class="container-fluid page-body-wrapper" >

	<!-- Fragmento theme-setting-wrapper-->
	<layouttag th:include="fragments/common :: theme-setting-wrapper-fagment" />
	
    <!-- Fragmento sidebar -->
    <layouttag th:include="fragments/common :: sidebar-fragment" />
    
    
    <!-- Principal -->
    <div class="main-panel">
        <div class="content-wrapper">
        <div class="row">
          <div class="col-lg-3 grid-margin stretch-card"></div>
          <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                	<div th:if="${Perfil.perf_Id == null}"> 
                  		<h4 class="card-title">Insertar Perfil</h4>     		                  	
		                  <p class="card-description">
		                    Insertar los datos del perfil 
		                  </p>
		                  <form  class="forms-sample" th:action="@{/seguridad/perfilRegistro}" th:object="${Perfil}" method="POST"
		                  accept-charset="UTF-8">
		                    <div class="form-group">
		                      <label for="nombrePerfil">Nombre</label>
		                      <input type="text" class="form-control" placeholder="Nombre"
		                      th:field="*{perf_Nombre}" th:value="${perf_Nombre}" id="nombrePerfil">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('perf_Nombre')}" th:errors="*{perf_Nombre}"></div>
		                   	  <div class="errorValidation" >
						  	  </div>
			                  <div class="errorServicio" >
						  	  </div>
		                    </div>
		      				<div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:15px" for="activoPerfil">
							  <input type="checkbox" checked="true" id="activoPerfil"> 
							    Activo
							  </label>
							</div>
							<center><h4 class="card-title">Configuración</h4></center>   
							<div class="table-responsive" >
								<table class="table table-hover">
								  <thead>
								    <tr>
								      <th scope="col">Menú</th>
								      <th scope="col">Crear</th>
								      <th scope="col">Editar</th>
								      <th scope="col">Eliminar</th>
								    </tr>
								  </thead>
								  <tbody>
								    <tr th:each="ResponsePerfilMenu2 : ${ListaConfiguracion}">
								      <th th:if="${ResponsePerfilMenu2.menu_PadreId == null}">
								      	<input type="checkbox"  th:class="seleccionar-todos+${ResponsePerfilMenu2.menu_Id}" 
								      	th:attr="onclick=|changeCheckBox(${ResponsePerfilMenu2.menu_Id})|"
								      	th:id="menuu+''+${ResponsePerfilMenu2.menu_Id}" th:value="${ResponsePerfilMenu2.pmen_Activo}"
								      	>

								      	<span class="font-weight-normal mb-0" th:text="${ResponsePerfilMenu2.menu_Nombre}"></span>
								      </th>
								      <th th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:class="listado+${ResponsePerfilMenu2.menu_PadreId}">
								     	<input type="checkbox" th:class="seleccionar+${ResponsePerfilMenu2.menu_Id}" 
								      	th:attr="onclick=|changeCheckBox(${ResponsePerfilMenu2.menu_Id})|" 
								      	th:id="menuu+''+${ResponsePerfilMenu2.menu_Id}" th:value="${ResponsePerfilMenu2.pmen_Activo}">
								     <span class="font-weight-normal mb-0" th:text="${ResponsePerfilMenu2.menu_Nombre}"></span>
								      </th>
									      <th th:class="listado+${ResponsePerfilMenu2.menu_PadreId} + ' '+ row+${ResponsePerfilMenu2.menu_Id}">
									      	<input type="checkbox" th:value="${ResponsePerfilMenu2.pmen_Crear}"
									      	th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:id="menu+''+${ResponsePerfilMenu2.menu_Id}+'-'+crear">
									      </th>
									     <th th:class="listado+${ResponsePerfilMenu2.menu_PadreId} + ' '+ row+${ResponsePerfilMenu2.menu_Id}">
									      	<input type="checkbox" th:value="${ResponsePerfilMenu2.pmen_Editar}"
									      	th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:id="menu+''+${ResponsePerfilMenu2.menu_Id}+'-'+editar">
									      </th>
									     <th th:class="listado+${ResponsePerfilMenu2.menu_PadreId} + ' '+ row+${ResponsePerfilMenu2.menu_Id}">
									      	<input type="checkbox" th:value="${ResponsePerfilMenu2.pmen_Eliminar}"
									      	th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:id="menu+''+${ResponsePerfilMenu2.menu_Id}+'-'+eliminar">
									     </th>
								    </tr>
								  </tbody>
								</table>
							</div>
		                   
		                    
		                  </form>
		                  
		                   <button class="btn btn-primary mr-2" style="padding: 0.65rem 1.2rem;"
		                    th:attr="onclick=|insertarPerfil()|" >Crear</button>
		                    <a th:href="@{/seguridad/perfil}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
                  		</div> 
                  	<div th:if="${Perfil.perf_Id != null}"> 
                  		<h4 class="card-title">Actualizar Perfil</h4>	                  	
		                  <p class="card-description">
		                    Actualizar los datos del perfil 
		                  </p>
		             
					  
		                  <form  class="forms-sample" th:action="@{/seguridad/perfilRegistro}" th:object="${Perfil}" method="POST"
		                  accept-charset="UTF-8">
		                    <input type="hidden" th:field="*{perf_Id}" id="idPerfil"></input>
		                    <div class="form-group">
		                      <label for="nombrePerfil">Nombre</label>
		                      <input type="text" class="form-control" placeholder="Nombre"
		                      th:field="*{perf_Nombre}" th:value="${perf_Nombre}" id="nombrePerfil">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('perf_Nombre')}" th:errors="*{perf_Nombre}"></div>
		                    
		                   	  <div class="errorValidation" >
						  	  </div>
			                  <div class="errorServicio" >
						  	  </div>
		                    
		                    </div>
		      				<div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:15px" for="activoPerfil">
							  <input type="checkbox" th:field="*{perf_Activo}" th:value="${perf_Activo}" id="activoPerfil"> 
							    Activo
							  </label>
							</div>
							<center><h4 class="card-title">Configuración</h4></center>   
							<div class="table-responsive" >
								<table class="table table-hover">
								  <thead>
								    <tr>
								      <th scope="col">Menú</th>
								      <th scope="col">Crear</th>
								      <th scope="col">Editar</th>
								      <th scope="col">Eliminar</th>
								    </tr>
								  </thead>
								  <tbody>
								    <tr th:each="ResponsePerfilMenu2 : ${ListaConfiguracion}">
								     <input type="hidden" th:value="${ResponsePerfilMenu2.pmen_Id}"
								     th:id="idperfilmenu+''+${ResponsePerfilMenu2.menu_Id}"></input>
								     
								     <input type="hidden" th:value="${ResponsePerfilMenu2.menu_PadreId}"
								     th:id="idmenupadre+''+${ResponsePerfilMenu2.menu_Id}"
								    ></input>
								     
								      <th th:if="${ResponsePerfilMenu2.menu_PadreId == null}">
								      	<input type="checkbox"  th:class="seleccionar-todos+${ResponsePerfilMenu2.menu_Id}" 
								      	th:attr="onclick=|changeCheckBox(${ResponsePerfilMenu2.menu_Id})|" th:checked="${ResponsePerfilMenu2.pmen_Activo}"
								      	th:id="menuu+''+${ResponsePerfilMenu2.menu_Id}"
								      	>
								      	<span class="font-weight-normal mb-0" th:text="${ResponsePerfilMenu2.menu_Nombre}"></span>
								      </th>
								      <th th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:class="listado+${ResponsePerfilMenu2.menu_PadreId}">
								     	<input type="checkbox" th:class="seleccionar+${ResponsePerfilMenu2.menu_Id}" 
								      	th:attr="onclick=|changeCheckBox(${ResponsePerfilMenu2.menu_Id})|" 
								      	th:checked="${ResponsePerfilMenu2.pmen_Activo}"
								      	th:id="menuu+''+${ResponsePerfilMenu2.menu_Id}"
								      	 >
								     	<span class="font-weight-normal mb-0" th:text="${ResponsePerfilMenu2.menu_Nombre}"></span>
								      </th>
									      <th th:class="listado+${ResponsePerfilMenu2.menu_PadreId} + ' '+ row+${ResponsePerfilMenu2.menu_Id}">
									      	<input type="checkbox" th:value="${ResponsePerfilMenu2.pmen_Crear}" th:checked="${ResponsePerfilMenu2.pmen_Crear}"
									      	th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:id="menu+''+${ResponsePerfilMenu2.menu_Id}+'-'+crear">
									      </th>
									     <th th:class="listado+${ResponsePerfilMenu2.menu_PadreId} + ' '+ row+${ResponsePerfilMenu2.menu_Id}">
									      	<input type="checkbox" th:value="${ResponsePerfilMenu2.pmen_Editar}" th:checked="${ResponsePerfilMenu2.pmen_Editar}"
									      	th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:id="menu+''+${ResponsePerfilMenu2.menu_Id}+'-'+editar">
									      </th>
									     <th th:class="listado+${ResponsePerfilMenu2.menu_PadreId} + ' '+ row+${ResponsePerfilMenu2.menu_Id}">
									      	<input type="checkbox" th:value="${ResponsePerfilMenu2.pmen_Eliminar}" th:checked="${ResponsePerfilMenu2.pmen_Eliminar}"
									      	th:if="${ResponsePerfilMenu2.menu_PadreId != null}" th:id="menu+''+${ResponsePerfilMenu2.menu_Id}+'-'+eliminar">
									     </th>
								    </tr>
								  </tbody>
								</table>
							</div>
		                   
		                    
		                  </form>
		                  
		                   <button class="btn btn-primary mr-2" style="padding: 0.65rem 1.2rem;"
		                    th:attr="onclick=|actualizarPerfil()|" >Actualizar</button>
		                    <a th:href="@{/seguridad/perfil}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
                  	</div>  
                </div>
              </div>
            </div>
        </div>
		<layouttag th:include="fragments/common :: footer" />
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  
   <script src="../../paginador/perfil.js"></script>
   <script src="../../configuration/perfilMenu.js"></script>
   
  <!-- container-scroller -->
  <!-- plugins:js -->
  <script src="../../vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="../../js/off-canvas.js"></script>
  <script src="../../js/hoverable-collapse.js"></script>
  <script src="../../js/template.js"></script>
  <script src="../../js/settings.js"></script>
  <script src="../../js/todolist.js"></script>
  <!-- endinject -->
</body>

</html>
